Passer au contenu principal
GET
/
crm-object-schemas
/
v3
/
schemas
Récupérer tous les schémas d'objets personnalisés.
curl --request GET \
  --url https://api.hubapi.com/crm-object-schemas/v3/schemas \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "associations": [
        {
          "fromObjectTypeId": "2-123456",
          "id": "123",
          "name": "my_object_to_contact",
          "toObjectTypeId": "0-1"
        }
      ],
      "createdAt": "2020-02-20T18:07:11.390Z",
      "fullyQualifiedName": "p7878787_my_object\"",
      "id": "123456",
      "labels": {
        "plural": "My objects",
        "singular": "My object"
      },
      "metaType": "PORTAL_SPECIFIC",
      "name": "my_object",
      "primaryDisplayProperty": "my_object_property",
      "properties": [
        {
          "archived": false,
          "calculated": false,
          "createdAt": "2020-02-20T18:07:11.802Z",
          "displayOrder": -1,
          "externalOptions": false,
          "fieldType": "text",
          "groupName": "my_object_information",
          "hasUniqueValue": false,
          "label": "My object property",
          "name": "my_object_property",
          "type": "string",
          "updatedAt": "2020-02-20T18:07:11.802Z"
        }
      ],
      "requiredProperties": [
        "my_object_property"
      ],
      "searchableProperties": [
        "my_object_property"
      ],
      "updatedAt": "2020-02-20T18:09:07.555Z"
    }
  ]
}

Produits pris en charge

Exige l'un des produits suivants ou un produit supérieur.
Marketing HubMarketing Hub -Entreprise
Sales HubSales Hub -Entreprise
Service HubService Hub -Entreprise
Content HubContent Hub -Entreprise

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

archived
boolean
défaut:false

S'il faut renvoyer uniquement les résultats qui ont été archivés.

includeAssociationDefinitions
boolean
défaut:true

Indique si les définitions d'association doivent être incluses dans la réponse.

includeAuditMetadata
boolean
défaut:true

Indique si les métadonnées d'audit doivent être incluses dans la réponse.

includePropertyDefinitions
boolean
défaut:true

Indique si les définitions de propriétés doivent être incluses dans la réponse.

Réponse

successful operation

results
object[]
requis
Last modified on March 30, 2026